Package org.picocontainer.behaviors

# Class Intercepted.InterceptorThreadLocal

java.lang.Object
java.lang.ThreadLocal
org.picocontainer.behaviors.Intercepted.InterceptorThreadLocal

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Intercepted<T>`

public static class Intercepted.InterceptorThreadLocal extends ThreadLocal implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InterceptorThreadLocal()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`initialValue()`

### Methods inherited from class java.lang.ThreadLocal

`get, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorThreadLocal

public InterceptorThreadLocal()

## Method Details

### initialValue

protected Object initialValue()

Overrides:
  `initialValue` in class `ThreadLocal`